export declare const DEPLOY_BINARY_NAME = "StaticSitesClient";
export declare const DEPLOY_BINARY_STABLE_TAG = "stable";
export declare const DEPLOY_FOLDER: string;
export declare const STATIC_SITE_CLIENT_RELEASE_METADATA_URL = "https://aka.ms/swalocaldeploy";
export declare const DATA_API_BUILDER_BINARY_NAME = "DataApiBuilder";
export declare const DATA_API_BUILDER_COMMAND = "dab";
export declare const DATA_API_BUILDER_RELEASE_METADATA_URL = "https://go.microsoft.com/fwlink/?linkid=2226493";
export declare const DATA_API_BUILDER_FOLDER: string;
export declare const DATA_API_BUILDER_RELEASE_TAG = "released";
export declare const DATA_API_BUILDER_LATEST_TAG = "latest";
export declare const DATA_API_BUILDER_DEFAULT_CONFIG_FILE_NAME = "staticwebapp.database.config.json";
export declare const DATA_API_BUILDER_DEFAULT_SCHEMA_FILE_NAME = "staticwebapp.database.schema.gql";
export declare const DATA_API_BUILDER_DEFAULT_FOLDER = "swa-db-connections";
export declare const DATA_API_BUILDER_DEFAULT_REST_PATH = "/rest";
export declare const DATA_API_BUILDER_VERSION_ID = "0.5.32";
export declare const DEFAULT_DATA_API_BUILDER_BINARY: {
    Windows: string;
    Linux: string;
    MacOs: string;
};
export declare const DATA_API_BUILDER_DATABASE_TYPES: {
    MsSql: string;
    CosmosDbNoSql: string;
    CosmosDbPostGreSql: string;
    MySql: string;
    PostGreSql: string;
};
export declare const SWA_COMMANDS: readonly ["login", "init", "start", "deploy", "build", "db init"];
export type SWACommand = (typeof SWA_COMMANDS)[number];
export declare const SWA_RUNTIME_CONFIG_MAX_SIZE_IN_KB = 20;
export declare const SWA_AUTH_CONTEXT_COOKIE = "StaticWebAppsAuthContextCookie";
export declare const SWA_AUTH_COOKIE = "StaticWebAppsAuthCookie";
export declare const ALLOWED_HTTP_METHODS_FOR_STATIC_CONTENT: string[];
export declare const SUPPORTED_CUSTOM_AUTH_PROVIDERS: string[];
export declare const ENTRAID_FULL_NAME = "azureActiveDirectory";
export declare const CUSTOM_AUTH_TOKEN_ENDPOINT_MAPPING: AuthIdentityTokenEndpoints;
export declare const CUSTOM_AUTH_USER_ENDPOINT_MAPPING: AuthIdentityTokenEndpoints;
export declare const CUSTOM_AUTH_ISS_MAPPING: AuthIdentityIssHosts;
export declare const CUSTOM_AUTH_REQUIRED_FIELDS: AuthIdentityRequiredFields;
export declare const AUTH_STATUS: {
    NoAuth: number;
    HostNameAuthLogin: number;
    HostNameAuthComplete: number;
    HostNameAuthLogout: number;
    IdentityAuthLogin: number;
    IdentityRedirect: number;
    IdentityAuthLoginDone: number;
    IdentityAuthConsentGranted: number;
    HostNameAuthAcceptInvitation: number;
    AuthMe: number;
    HostNameAuthLogoutComplete: number;
    IdentityRedirectLogout: number;
    IdentityAuthLogoutComplete: number;
    IdentityAuthPurgeBegin: number;
    IdentityAuthPurgeWarning: number;
    IdentityAuthPurgeComplete: number;
    HostNameAuthPurge: number;
    HostNameAuthLoginCallback: number;
    IdentityAuthLoginCallback: number;
    IdentityAuthLogout: number;
};
export declare const MIME_TYPE_LIST: {
    [key: string]: string;
};
export declare const DEFAULT_DATA_API_BUILDER_SCHEMA_CONTENT = "\n\"\"\"\nAdd your CosmosDB NoSQL database schema in this file\n\nFor example:\n\ntype Book @model {\n  id: ID\n  title: String\n}\n\n\"\"\"\n";
export declare const DEFAULT_MIME_TYPE = "application/octet-stream";
export declare const HEADER_DELETE_KEYWORD = "@@HEADER_DELETE_KEYWORD@@";
export declare const CACHE_CONTROL_MAX_AGE = 30;
export declare const ENV_FILENAME = ".env";
export declare const GIT_IGNORE_FILENAME = ".gitignore";
export declare const SWA_CLI_APP_PROTOCOL: string;
export declare const SWA_PUBLIC_DIR: string;
export declare const HAS_API: boolean;
export declare const SWA_CONFIG_FILENAME = "staticwebapp.config.json";
export declare const SWA_CONFIG_FILENAME_LEGACY = "routes.json";
export declare const CUSTOM_URL_SCHEME = "swa://";
export declare const OVERRIDABLE_ERROR_CODES: number[];
export declare const SWA_CONFIG_SCHEME_URL = "https://json.schemastore.org/staticwebapp.config.json";
export declare const SWA_CONFIG_SCHEME_FALLBACK_PATH: string;
export declare const DEFAULT_VERSION: {
    Node: string;
    Dotnet: string;
    DotnetIsolated: string;
    Python: string;
};
export declare const SUPPORTED_VERSIONS: {
    Node: string[];
    Dotnet: string[];
    DotnetIsolated: string[];
    Python: string[];
};
export declare const DEFAULT_RUNTIME_LANGUAGE = "node";
export declare function IS_APP_DEV_SERVER(): boolean;
export declare function IS_API_DEV_SERVER(): boolean;
export declare function SWA_CLI_API_URI(): string | undefined;
export declare function IS_DATA_API_DEV_SERVER(): boolean;
export declare function SWA_CLI_DATA_API_URI(): string | undefined;
export declare const AZURE_LOGIN_CONFIG: string;
//# sourceMappingURL=constants.d.ts.map