import { TokenCachePersistenceOptions } from "@azure/identity";
import { NativeCredentialsStore } from "./credentials-store.js";
import { CryptoService } from "./crypto.js";
export declare class SecretStorage {
    private options;
    private readonly credentialsService;
    private readonly encryptionService;
    private secretStoragePrefix;
    constructor(options: TokenCachePersistenceOptions, credentialsService: NativeCredentialsStore, encryptionService: CryptoService);
    private getFullKey;
    getCredentials(machineId: string, key: string): Promise<string | undefined>;
    setCredentials(machineId: string, key: string, value: string): Promise<void>;
    deleteCredentials(machineId: string, key: string): Promise<void>;
}
//# sourceMappingURL=secret-storage.d.ts.map