/**
 * Loads the package.json file from the root of the project.
 * @returns the parsed package.json object, or null if an error occurred.
 */
export declare function loadPackageJson(): any;
/**
 * Loads JSON from the designated file path, printing any JSON errors to the console.
 * @param filePath The file path to the JSON file
 * @returns The typed JSON object, or null if an error occurred.
 */
export declare function loadJSON(filePath: string): Promise<any | null>;
/**
 * Validates the provided object against the SWA Config File specification.
 *
 * @param content the parsed JSON object that should be validated.
 */
export declare function validateConfigFile(content: any): Promise<SWAConfigFile | null>;
//# sourceMappingURL=json.d.ts.map